<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Book/Scripts/5_mission/dayzexpansion_book/dayzexpansion.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/df2/a03513_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">dayzexpansion.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d7/df2/a03513.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * DayzExpansion.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="comment"></span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="comment">/**@class       DayZExpansion</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="comment"> * @brief       </span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="comment"> **/</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>modded <span class="keyword">class </span><a class="code hl_class" href="../../d3/dce/a01859.html">DayZExpansion</a></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>{</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    <span class="comment">// Expansion OnLoaded</span></div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../d3/dce/a01859.html#addaf6e68226492d6da62e44d12a191d9">   21</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/dce/a01859.html#addaf6e68226492d6da62e44d12a191d9">OnLoaded</a>()</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    {</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        <span class="keywordflow">if</span> ( IsMissionHost() )</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        {</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>            <a class="code hl_class" href="../../d5/df5/a01375.html">ExpansionSettings</a>.<a class="code hl_variable" href="../../d5/df5/a01375.html#a7b1c0169228748e47c494beb0eb2bd81">SI_Book</a>.Invoke();</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        }</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span> </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        super.OnLoaded();</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    }</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>};</div>
<div class="ttc" id="aa01375_html"><div class="ttname"><a href="../../d5/df5/a01375.html">ExpansionSettings</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d58/a03393_source.html#l00013">expansionsettings.c:14</a></div></div>
<div class="ttc" id="aa01375_html_a7b1c0169228748e47c494beb0eb2bd81"><div class="ttname"><a href="../../d5/df5/a01375.html#a7b1c0169228748e47c494beb0eb2bd81">ExpansionSettings::SI_Book</a></div><div class="ttdeci">static ref ScriptInvoker SI_Book</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dc2/a03396_source.html#l00015">expansionsettings.c:15</a></div></div>
<div class="ttc" id="aa01859_html"><div class="ttname"><a href="../../d3/dce/a01859.html">DayZExpansion</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d61/a03510_source.html#l00016">dayzexpansion.c:17</a></div></div>
<div class="ttc" id="aa01859_html_addaf6e68226492d6da62e44d12a191d9"><div class="ttname"><a href="../../d3/dce/a01859.html#addaf6e68226492d6da62e44d12a191d9">DayZExpansion::OnLoaded</a></div><div class="ttdeci">override void OnLoaded()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/df2/a03513_source.html#l00021">dayzexpansion.c:21</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_962bfa1893272c9ca8d900ccfa6a09f5.html">Book</a></li><li class="navelem"><a class="el" href="../../dir_5f6b997996f72d4bae47b189b5fbd491.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_8d5b9013e1e30f115ed1c9aa343b42f9.html">5_mission</a></li><li class="navelem"><a class="el" href="../../dir_b9f01b84f4b1924a81a59a6ed9f6add1.html">dayzexpansion_book</a></li><li class="navelem"><a class="el" href="../../d7/df2/a03513.html">dayzexpansion.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
